alt-php72 (7.2.34-38.1) stable; urgency=medium

  * ALTPHP-1764: Bumped release

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Thu, 23 May 2024 13:32:00 +0200

alt-php72 (7.2.34-38) stable; urgency=medium

  * ALTPHP-1738: Always build with alt-sqlite

 -- Ilya Voyskovsky <ivoyskovsky@cloudlinux.com>  Wed, 15 May 2024 20:32:00 +0200

alt-php72 (7.2.34-37) stable; urgency=medium

  * Fix for hardened PHP
    - CVE-2024-2756: fix __Host-/__Secure-cookie bypass due to partial
      CVE-2022-31629 fix
    - CVE-2024-3096: Disallow null character in bcrypt password to fix bug
      causing password_verify to erroneously return true

 -- Dmitriy Popov <dpopov@cloudlinux.com>  Tue, 07 May 2024 15:44:27 +0000

alt-php72 (7.2.34-36) stable; urgency=medium

  * ALTPHP-855: set for mysql exts default path to /var/lib/mysql/mysql.sock

 -- Sergey Fokin <sfokin@cloudlinux.com>  Thu, 14 Mar 2024 14:59:00 +0100

alt-php72 (7.2.34-35) stable; urgency=medium

  * ALTPHP-1665: pack fpm as sub-package
  * ALTPHP-1573: update LiteSpeed to 8.1

 -- Sergey Fokin <sfokin@cloudlinux.com>  Mon, 19 Feb 2024 17:31:00 +0100

alt-php72 (7.2.34-34) stable; urgency=medium

  * CVE-2023-3247: Fix missing randomness check for SOAP HTTP Digest

 -- Dmitriy Popov <dpopov@cloudlinux.com>  Thu, 28 Sep 2023 14:13:42 +0000

alt-php72 (7.2.34-33) stable; urgency=medium

  * ALTPHP-1541: Enable cache_phpdata calling after package installation on debian systems.

 -- Eduard Chiganov <echiganov@cloudlinux.com>  Tue, 26 Sep 2023 15:20:00 +0100

alt-php72 (7.2.34-29) stable; urgency=medium

  * Fix path for sed

 -- Sergey Fokin <sfokin@cloudlinux.com>  Tue, 19 Sep 2023 11:51:00 +0200

php (7.2.34-28) stable; urgency=medium

  * Fix for hardened PHP
    - CVE-2023-3823: Fix external entity loading in XML without enabling by
      sanitizing libxml2 globals before parsing
    - CVE-2023-3824: Fix buffer mismanagement in phar_dir_read()

 -- Nikita Ivanov <nivanov@cloudlinux.com>  Fri, 18 Aug 2023 07:01:17 +0000

php (7.2.34-27) stable; urgency=medium

  * Add optimization flag
  * Some code polishing of the rules

 -- Pavel Mayorov <pmayorov@cloudlinux.com>  Thu, 06 Apr 2023 15:00:00 +0300

php (7.2.34-26) stable; urgency=medium

  * Fix for hardened PHP
    - CVE-2023-0567: Fix validation of malformed BCrypt hashes
    - CVE-2023-0568: Fix array overrun when appending slash to paths
    - CVE-2023-0662: Fix DOS vulnerabality by limiting number of parsed
      multipart body parts and printing upload limit exceed error message only once

 -- Nikita Ivanov <nivanov@cloudlinux.com>  Mon, 20 Mar 2023 10:01:07 +0000

php (7.2.34-25) stable; urgency=medium

  * fix place of system lib dir in rpath

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 03 Feb 2023 17:15:00 +0100

php (7.2.34-24) stable; urgency=medium

  * Fix for Harden PHP
    - CVE-2022-31631: Fix integer overflow that could cause PDO::quote() to return an improperly quoted string

 -- Pavel Mayorov <pmayorov@cloudlinux.com>  Fri, 13 Jan 2023 12:50:27 +0000

php (7.2.34-23) stable; urgency=medium

  * Fix for Harden PHP
    - CVE-2022-37454: Fix buffer overflow in the Keccak XKCP SHA-3 reference implementation

 -- Pavel Mayorov <pmayorov@cloudlinux.com>  Thu, 10 Nov 2022 09:07:09 +0000

php (7.2.34-22) stable; urgency=medium

  * Fix for Harden PHP
    - CVE-2022-31628: Fix potential infinite recursion in phar wrapper when using quine gzip file
    - CVE-2022-31629: Add cookie integrity validation

 -- Pavel Mayorov <pmayorov@cloudlinux.com>  Fri, 28 Oct 2022 21:29:45 +0000

php (7.2.34-21) stable; urgency=medium

  * Fix for Harden PHP
    - CVE-2021-21705: add user name and password validation in filters module

 -- Nikita Ivanov <nivanov@cloudlinux.com>  Mon, 17 Oct 2022 10:27:44 -0400

php (7.2.34-20) stable; urgency=medium

  * ELS-189: Fix for Harden PHP
    - CVE-2022-31625: Fix freeing of uninitialized memory leading to RCE
    - CVE-2022-31626: Fix buffer overflow in mysqlnd driver leading to RCE

 -- Nikita Ivanov <nivanov@cloudlinux.com>  Fri, 15 Jul 2022 08:40:07 +0000

php (7.2.34-19.2) stable; urgency=medium

  * ALTPHP-1278: simulate RHEL SCL
  * add /opt/alt/php72/link

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 20 Apr 2022 20:38:00 +0200

php (7.2.34-19.1) stable; urgency=medium

  * ALTPHP-1262: fix pre/post scripts
  * ALTPHP-1276: Added --wait-lock to cagefsctl calling
  * ALTPHP-1277: skip failing of selectorctl in prostrm script

 -- Sergey Fokin <sfokin@cloudlinux.com>  Mon, 11 Apr 2022 18:04:00 +0200

php (7.2.34-19) stable; urgency=medium

  * ALTPHP-1266: update litespeed to 8.0.1

 -- Sergey Fokin <sfokin@cloudlinux.com>  Sun, 06 Mar 2022 14:41:00 +0100

php (7.2.34-18) stable; urgency=medium

  * ELS-165: Fix for harden PHP for Ubuntu
    - CVE-2021-21703: fix error in php fpm shared memory organization leading to privilage escalation
    - CVE-2021-21707: fix handling of paths with percent encoded NULL byte

 -- Nikita Ivanov <nivanov@cloudlinux.com>  Tue, 28 Dec 2021 12:55:21 +0700

php (7.2.34-17) stable; urgency=medium

  * add alt-php-config dependency

 -- Anatholy Scryabin <ascryabin@cloudlinux.com>  Mon, 27 Dec 2021 17:32:21 +0300

php (7.2.34-16) stable; urgency=medium

  * ALTPHP-1218: set request_order=GP in php.ini

 -- Sergey Fokin <sfokin@cloudlinux.com>  Fri, 03 Dec 2021 15:25:00 +0300

php (7.2.34-13) stable; urgency=medium

  * ALTPHP-1190: Update hardened php

 -- Eduard Abdullin <eabdullin@cloudlinux.com>  Fri, 10 Sep 2021 13:45:22 +0300

php (7.2.34-12) stable; urgency=medium

  * ALTPHP-1164: Update hardened php

 -- Eduard Abdullin <eabdullin@cloudlinux.com>  Mon, 19 Jul 2021 13:45:22 +0300

php (7.2.34-10) stable; urgency=medium

  * ALTPHP-1132: Update hardened php

 -- Eduard Abdullin <eabdullin@cloudlinux.com>  Thu, 13 May 2021 13:45:22 +0300

php (7.2.34-9) stable; urgency=medium

  * ALTPHP-1093: Update php-fpm lve patch
  * ALTPHP-1094: Update litespeed to 7.9

 -- Anatholy Scryabin <ascryabin@cloudlinux.com>  Tue, 06 Apr 2021 16:07:00 +0300

php (7.2.34-8) stable; urgency=medium

  * ALTPHP-1053: Update move_override_ini patch
  * ALTPHP-1038: Update litespeed log patch
  * ALTPHP-1082: Add alt-php-pdo requires for alt-php-mysqlnd and alt-php-firebird

 -- Eduard Abdullin <eabdullin@cloudlinux.com>  Mon, 26 Feb 2021 14:23:21 +0300

php (7.2.34-6) stable; urgency=medium

  * Fix bug #80523: Bogus parse error on >4GB source code
  * Fix bug #80672: Null Dereference in SoapClient. (CVE-2021-21702)

 -- Daniil Leonov <dleonov@cloudlinux.com>  Fri, 19 Feb 2021 18:00:00 +0300

php (7.2.34-5) stable; urgency=medium

  * AAP-178: Added disable killing of PHP-FPM parent process in LVE when not enough of memory

 -- Eduard Abdullin <eabdullin@cloudlinux.com>  Thu, 21 Jan 2021 16:35:43 +0300

php (7.2.34-4) stable; urgency=medium

  * Fix Bug #73809: Phar Zip parse crash - mmap fail
  * Fix Bug #77322: PharData::addEmptyDir('/') Possible integer overflow
  * Fix Bug #77961: Slow reqursive functions with MySQL
  * Fix Bug #80366: Potential issue in ext/standard/iptc.c: Return Value Not Checked
  * Fix Bug #80411: References to null-serialized object break serialize()

 -- Daniil Leonov <dleonov@cloudlinux.com>  Wed, 20 Jan 2021 18:40:00 +0300

php (7.2.34-3) stable; urgency=medium

  * Build for ubuntu 20.04

 -- Eduard Abdullin <eabdullin@cloudlinux.com>  Mon, 28 Dec 2020 12:45:03 +0300

php (7.2.34-1) stable; urgency=medium

  * Update to 7.2.34 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 01 Oct 2020 10:43:45 -0400

php (7.2.33-1) stable; urgency=medium

  * Update to 7.2.33 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 06 Aug 2020 04:45:11 -0400

php (7.2.32-2) stable; urgency=medium

  * MODLS-741: Make LSCRIU log messages with timestamps
  * MODLS-804: Improve mod_lsapi & lsphp error reporting in case of php memory limit reached
  * ALTPHP-961: Update litespeed to 7.7 version

 -- Darya Malyavkina <dmalyavkina@cloudlinux.com>  Wed, 29 Jul 2020 18:23:00 -0400

php (7.2.32-1) stable; urgency=medium

  * Update to 7.2.32 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 09 Jul 2020 10:48:00 -0400

php (7.2.31-1) stable; urgency=medium

  * Update to 7.2.31 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 14 May 2020 04:55:50 -0400

php (7.2.30-1) stable; urgency=medium

  * Update to 7.2.30 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Fri, 17 Apr 2020 16:43:05 -0400

php (7.2.29-2.2) stable; urgency=medium

  * ALTPHP-869: add support for debian 10

 -- Anatholy Scryabin <ascryabin@cloudlinux.com>  Thu, 09 Apr 2020 17:57:41 -0300

php (7.2.29-2.1) stable; urgency=medium

  * ALTPHP-869: add support for debian 9

 -- Anatholy Scryabin <ascryabin@cloudlinux.com>  Tue, 31 Mar 2020 16:53:37 -0300

php (7.2.29-1) stable; urgency=medium

  * Update to 7.2.29 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 19 Mar 2020 06:45:40 -0400

php (7.2.28-2) stable; urgency=medium

  * MODLS-735: Delete criu images for host/user when lsapi_backend_pgrp_max_crashes triggered

 -- Darya Malyavkina <dmalyavkina@cloudlinux.com>  Thu, 27 Feb 2020 21:02:33 +0400

php (7.2.28-1) stable; urgency=medium

  * Update to 7.2.28 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 20 Feb 2020 04:43:08 -0500

php (7.2.27-1) stable; urgency=medium

  * Update to 7.2.27 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 23 Jan 2020 04:48:27 -0500

php (7.2.26-1) stable; urgency=medium

  * Update to 7.2.26 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Wed, 18 Dec 2019 08:43:46 -0500

php (7.2.25-1) stable; urgency=medium

  * Update to 7.2.25 version

 -- Ivan Danilov <idanilov@cloudlinux.com>  Thu, 21 Nov 2019 15:15:15 -0400

php (7.2.24-1) stable; urgency=medium

  * Update to 7.2.24 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 24 Oct 2019 06:47:55 -0400

php (7.2.23-2) stable; urgency=medium

  * Apply allow_coredump patch for MODLS-694

 -- Darya Malyavkina <dmalyavkina@cloudlinux.com>  Mon, 7 Oct 2019 19:37:22 +0400

php (7.2.23-1) stable; urgency=medium

  * Update to 7.2.23 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 26 Sep 2019 10:42:40 -0400

php (7.2.22-3) stable; urgency=medium

  * MODLS-689: Apply crash_limit patch

 -- Darya Malyavkina <dmalyavkina@cloudlinux.com>  Mon, 26 Aug 2019 16:23:43 +0400

php (7.2.22-1) stable; urgency=medium

  * Update to 7.2.22 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 29 Aug 2019 16:40:41 -0400

php (7.2.21-1) stable; urgency=medium

  * Update to 7.2.21 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 01 Aug 2019 06:42:16 -0400

php (7.2.20-5) stable; urgency=medium

  * Update litespeed to 7.5 version

 -- Darya Malyavkina <dmalyavkina@cloudlinux.com>  Mon, 22 Jul 2019 21:34:11 +0400

php (7.2.20-3) stable; urgency=medium

  * rebuild with new alt-icu

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 10 Jul 2019 13:18:00 +0400

php (7.2.20-2) stable; urgency=medium

  * Update litespeed to 7.4.3 version

 -- Darya Malyavkina <dmalyavkina@cloudlinux.com>  Thu, 04 Jul 2019 22:55:42 +0400

php (7.2.20-1) stable; urgency=medium

  * Update to 7.2.20 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 04 Jul 2019 06:43:36 -0400

php (7.2.19-5) stable; urgency=medium

  * Update litespeed to 7.4.2 version

 -- Darya Malyavkina <dmalyavkina@cloudlinux.com>  Wed, 03 Jul 2019 22:45:12 +0400

php (7.2.19-4) stable; urgency=medium

  * AAP-272: fix error with uid comparison

 -- Darya Malyavkina <dmalyavkina@cloudlinux.com>  Fri, 21 Jun 2019 01:02:11 +0400

php (7.2.19-2) stable; urgency=medium

  * Update litespeed to version 7.4

 -- Darya Malyavkina <dmalyavkina@cloudlinux.com>  Thu, 20 Jun 2019 17:12:22 +0400

php (7.2.19-1) stable; urgency=medium

  * Update to 7.2.19 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 30 May 2019 10:40:32 -0400

php (7.2.18-2) stable; urgency=medium

  * Update litespeed to version 7.3

 -- Darya Makyavkina <dmalyavkina@cloudlinux.com>  Thu, 09 May 2019 22:17:23 +0400

php (7.2.18-1) stable; urgency=medium

  * Update to 7.2.18 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 02 May 2019 06:41:30 -0400

php (7.2.17-1) stable; urgency=medium

  * Update to 7.2.17 version

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 04 Apr 2019 10:40:47 -0400

php (7.2.16-1) unstable; urgency=medium

  * update to 7.2.16

 -- Darya Makyavkina <dmalyavkina@cloudlinux.com>  Thu, 07 Mar 2019 17:12:06 +0300

php (7.2.15-1) unstable; urgency=medium

  * update to 7.2.15

 -- Darya Makyavkina <dmalyavkina@cloudlinux.com>  Thu, 07 Feb 2019 20:22:11 +0300

php (7.2.14-4) stable; urgency=medium

  * MODLS-627: Fix php_value priority issue
  * MODLS-626: Update LiteSpeed patches for V 7.2

 -- Darya Makyavkina <dmalyavkina@cloudlinux.com>  Wed, 06 Feb 2019 23:12:03 +0300

php (7.2.14-3) stable; urgency=medium

  * ALTPHP-686: Apply mod_lsapi_mode patch

 -- Darya Makyavkina <dmalyavkina@cloudlinux.com>  Wed, 23 Jan 2019 14:26:04 +0300

php (7.2.14-1) unstable; urgency=medium

  * update to 7.2.14

 -- Darya Makyavkina <dmalyavkina@cloudlinux.com>  Thu, 10 Jan 2019 17:32:01 +0300

php (7.2.13-2) unstable; urgency=medium

  * Add recode extension

 -- Sergey Fokin <sfokin@cloudlinux.com>  Wed, 12 Dec 2018 15:35:00 +0300

php (7.2.13-1) stable; urgency=medium

  * update to 7.2.13

 -- Darya Makyavkina <dmalyavkina@cloudlinux.com>  Fri, 07 Dec 2018 01:14:02 +0300

php (7.2.12-3) unstable; urgency=medium

  * ALTPHP-639: Update SIGTERM cleanup patch

 -- Darya Makyavkina <dmalyavkina@cloudlinux.com>  Thu, 04 Dec 2018 18:14:02 +0300

php (7.2.12-2) unstable; urgency=medium

  * ALTPHP-614: Enabled support of the huge code pages for opcache

 --  Vasiliy Kleschov <vkleschov@cloudlinux.com>  Fri, 23 Nov 2018 13:57:12 +0300

php (7.2.12-1) unstable; urgency=medium

  * Update to 7.2.12

 --  Vasiliy Kleschov <vkleschov@cloudlinux.com>  Thu, 08 Nov 2018 13:57:12 +0300

php (7.2.11-1) unstable; urgency=medium

  * Update to 7.2.11

 --  Anatholy Scryabin <ascryabin@cloudlinux.com>  Wed, 17 Oct 2018 13:57:12 +0300

php (7.2.7-2.4cloudlinux1) unstable; urgency=medium

  * Fix lisodium version

 --  Anatholy Scryabin <ascryabin@cloudlinux.com>  Thu, 23 Aug 2018 10:22:25 +0300

php (7.2.7-2.2cloudlinux1) unstable; urgency=medium

  * Fix dependecies

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Wed, 04 Jun 2018 11:20:26 +0300

php (7.2.7-2cloudlinux1) unstable; urgency=medium

  * Initial release for Imunify360

 -- CloudLinux Packaging Team <packager@cloudlinux.com>  Thu, 29 Jun 2018 09:27:01 +0300
